"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libtool2' }"

LibraryDefinition subclass:#stx_libtool2
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!

!stx_libtool2 class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Build-Information for creation of the st/x standard library: stx_libtool2.
    This library contains additional developer tools.
"
! !

!stx_libtool2 class methodsFor:'description'!

preRequisites
    ^ #(
        #'stx:libbasic'    "ByteArray - referenced by MenuEditor::Item class>>iconSeparator "
        #'stx:libbasic2'    "List - referenced by DataSetBuilder>>updateColumnView "
        #'stx:libcomp'    "ByteCodeCompiler - referenced by UIHelpTool::ClassItem>>createHelpMethodNamed: "
        #'stx:libhtml'    "HTMLDocumentView - referenced by UIPainter>>doOpenWidgetDocumentation "
        #'stx:libtool'    "SystemBrowser - referenced by ResourceSelectionBrowser::ResourceMethod>>iconOn: "
        #'stx:libui'    "SpecCollection - referenced by UIPainterView>>fullSpecFor: "
        #'stx:libview'    "Depth2Image - referenced by UIPainter class>>iconCenterV "
        #'stx:libview2'    "AspectAdaptor - referenced by ImageEditor>>selectionOfColor "
        #'stx:libwidg'    "RadioButtonGroup - referenced by ResourceSelectionBrowser>>selectionOfClassPresentation "
        #'stx:libwidg2'    "DoWhatIMeanSupport - referenced by MenuEditor::ResourceEditor>>entryCompletionForRetriever "
    )
! !

!stx_libtool2 class methodsFor:'description - compilation'!

additionalDefinitions_bc_dot_mak
    ^ '
# see stdHeader_bc for LIBTOOL2_BASE
# LIBTOOL2_BASE   =0x65000000
LIB_BASE_LD_ARG=-b:$(LIBTOOL2_BASE)
'
! !

!stx_libtool2 class methodsFor:'description - contents'!

classNamesAndAttributes
    ^ #(
        "<className> or (<className> attributes...) in load order"
        ColorEditDialog
        DataSetBuilder
        (DirectoryView #autoload)
        (HierarchicalListEditor #autoload)
        ImageEditor
        MenuEditor
        (MethodFinderWindow #autoload)
        (MethodSelectionBrowser #autoload)
        (#'NewInspector::NewInspectorList' #autoload)
        (#'NewInspector::NewInspectorListView' #autoload)
        (#'NewInspector::NewInspectorPanelView' #autoload)
        (#'NewInspector::NewInspectorView' #autoload)
        (ProjectBrowser #autoload)
        (STXInstaller #autoload)
        SelectionBrowser
        (ShellView #autoload)
        (SnapShotImage #autoload)
        (SnapShotImageMemory #autoload)
        (TabListEditor #autoload)
        (#'Tools::InternationalLanguageTranslationEditor' #autoload)
        (#'Tools::ProjectDefinitionEditor' #autoload)
        UIGalleryView
        UIHelpTool
        UILayoutTool
        UIObjectView
        UIPainter
        UISelectionPanel
        UISpecificationTool
        #'stx_libtool2'
        FileSelectionBrowser
        ResourceSelectionBrowser
        UIPainterView
    )
!

extensionMethodNames
    ^ #(
    )
! !

!stx_libtool2 class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Class library'
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2006\nCopyright eXept Software AG 1998-2006'
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Smalltalk/X'
! !

!stx_libtool2 class methodsFor:'documentation'!

version
    ^ '$Header$'
! !
